import java.io.DataInputStream;
import java.net.URL;

public class Class109 {

   public static Class109 aClass109_1047 = new Class109(10, "", false, false);
   public static Class109 aClass109_1048 = new Class109(3, "", true, false);
   public static Class109 aClass109_1049 = new Class109(2, "", true, false);
   public static Class109 aClass109_1050 = new Class109(25, "", true, false);
   public static Class109 aClass109_1051 = new Class109(31, "", false, false);
   public static Class109 aClass109_1052 = new Class109(12, "", true, false);
   public static Class109 aClass109_1053 = new Class109(6, "", false, false);
   public static Class109 aClass109_1054 = new Class109(7, "", false, false);
   public static Class109 aClass109_1055 = new Class109(8, "", false, false);
   public static Class109 aClass109_1056 = new Class109(9, "", false, false);
   public static Class109 aClass109_1057 = new Class109(30, "", false, false);
   public static Class109 aClass109_1058 = new Class109(32, "", false, false);
   public static Class109 aClass109_1059 = new Class109(37, "", false, false);
   public static Class109 aClass109_1060 = new Class109(13, "", false, false);
   public static Class109 aClass109_1061 = new Class109(14, "", false, false);
   public static Class109 aClass109_1062 = new Class109(15, "", false, false);
   public static Class109 aClass109_1063 = new Class109(16, "", true, false);
   public static Class109 aClass109_1064 = new Class109(17, "", true, false);
   public static Class109 aClass109_1065 = new Class109(18, "", true, false);
   public static Class109 aClass109_1066 = new Class109(5, "", false, false);
   public static Class109 aClass109_1067 = new Class109(1, "", false, false);
   public static Class109 aClass109_1068 = new Class109(21, "", true, false);
   public static Class109 aClass109_1069 = new Class109(4, "", false, false);
   public static Class109 aClass109_1070 = new Class109(24, "", true, false);
   public static Class109 aClass109_1071 = new Class109(28, "", false, false);
   public static Class109 aClass109_1072 = new Class109(26, "", false, false);
   public static Class109 aClass109_1073 = new Class109(27, "", false, false);
   public static Class109 aClass109_1074 = new Class109(23, "", true, false);
   public static Class109 aClass109_1075 = new Class109(29, "", false, false);
   public static Class109 aClass109_1076 = new Class109(11, "", false, false);
   public static Class109 aClass109_1077 = new Class109(0, "", false, false);
   public static Class109 aClass109_1078 = new Class109(33, "", true, false);
   public static Class109 aClass109_1079 = new Class109(19, "", true, false);
   public static Class109 aClass109_1080 = new Class109(34, "", false, false);
   public static Class109 aClass109_1081 = new Class109(35, "", true, false);
   public static Class109 aClass109_1082 = new Class109(36, "", false, false);
   public static Class109 aClass109_1083 = new Class109(20, "", true, false);
   int anInt1084;
   static int anInt1085 = 874216947;
   public static int anInt1086;


   Class109(int var1, String var2, boolean var3, boolean var4) {
      this.anInt1084 = var1 * 1426831407;
   }

   public int method2179(short var1) {
      return this.anInt1084 * -2023452977;
   }

   static Class109[] method2180() {
      return new Class109[]{aClass109_1056, aClass109_1074, aClass109_1049, aClass109_1082, aClass109_1069, aClass109_1048, aClass109_1053, aClass109_1077, aClass109_1068, aClass109_1065, aClass109_1050, aClass109_1051, aClass109_1080, aClass109_1054, aClass109_1060, aClass109_1070, aClass109_1071, aClass109_1078, aClass109_1083, aClass109_1057, aClass109_1064, aClass109_1062, aClass109_1052, aClass109_1073, aClass109_1076, aClass109_1079, aClass109_1075, aClass109_1058, aClass109_1067, aClass109_1081, aClass109_1059, aClass109_1072, aClass109_1063, aClass109_1055, aClass109_1047, aClass109_1066, aClass109_1061};
   }

   public int method2181() {
      return this.anInt1084 * -2023452977;
   }

   public int method2182() {
      return this.anInt1084 * -2023452977;
   }

   public static int method2183() {
      if(260611269 * anInt1085 == -1) {
         Class109[] var0 = Class69.method1477(-1863083313);

         for(int var1 = 0; var1 < var0.length; ++var1) {
            Class109 var2 = var0[var1];
            if(-2023452977 * var2.anInt1084 > 260611269 * anInt1085) {
               anInt1085 = 1174167171 * var2.anInt1084;
            }
         }

         anInt1085 += -874216947;
      }

      return anInt1085 * 260611269;
   }

   static void method2184(Class545 var0, short var1) {
      var0.r(0, 0, 759890095 * Class563.anInt7495, 350);
      var0.B(0, 0, Class563.anInt7495 * 759890095, 350, Class176.anInt2144 * -215947015 << 24 | 3351159, 1);
      int var2 = 350 / (Class440.anInt5455 * 1807086839);
      int var3;
      if(Class176.anInt2137 * 1556201815 > 0) {
         var3 = 346 - 1807086839 * Class440.anInt5455 - 4;
         int var4 = var3 * var2 / (var2 + 1556201815 * Class176.anInt2137 - 1);
         int var5 = 4;
         if(Class176.anInt2137 * 1556201815 > 1) {
            var5 += (Class176.anInt2137 * 1556201815 - 1 - -1594987315 * Class176.anInt2136) * (var3 - var4) / (1556201815 * Class176.anInt2137 - 1);
         }

         var0.B(Class563.anInt7495 * 759890095 - 16, var5, 12, var4, -215947015 * Class176.anInt2144 << 24 | 3351159, 2);

         for(int var6 = -1594987315 * Class176.anInt2136; var6 < -1594987315 * Class176.anInt2136 + var2 && var6 < Class176.anInt2137 * 1556201815; ++var6) {
            String[] var7 = Class34.method879(Class176.aStringArray2134[var6], '\b', -1211960310);
            int var8 = (759890095 * Class563.anInt7495 - 8 - 16) / var7.length;

            for(int var9 = 0; var9 < var7.length; ++var9) {
               int var10 = var8 * var9 + 8;
               var0.r(var10, 0, var10 + var8 - 8, 350);
               Class574.aClass8_7601.method616(Class436_Sub1.method12814(var7[var9], (byte)4), var10, 350 - Class176.anInt2135 * 79470913 - 2 - -1710708437 * Class578.aClass405_7616.anInt4926 - Class440.anInt5455 * 1807086839 * (var6 - -1594987315 * Class176.anInt2136), -1, -16777216, (short)3937);
            }
         }
      }

      Class20.aClass8_197.method614("751 1", Class563.anInt7495 * 759890095 - 25, 330, -1, -16777216, -878674752);
      var0.r(0, 0, Class563.anInt7495 * 759890095, 350);
      var0.method11666(0, 350 - 79470913 * Class176.anInt2135, 759890095 * Class563.anInt7495, -1, 714636901);
      Class388.aClass8_4844.method616("--> " + Class436_Sub1.method12814(Class176.aString2139, (byte)4), 10, 350 - -1710708437 * Class4.aClass405_111.anInt4926 - 1, -1, -16777216, (short)-18242);
      if(Class541.aBool7320) {
         var3 = -1;
         if(client.anInt7659 * -1255739433 % 30 > 15) {
            var3 = 16777215;
         }

         var0.method11468(10 + Class4.aClass405_111.method6839("--> " + Class436_Sub1.method12814(Class176.aString2139, (byte)4).substring(0, Class176.anInt2141 * -1117729919), -2066670003), 350 - Class4.aClass405_111.anInt4926 * -1710708437 - 11, 12, var3, (byte)14);
      }

      var0.L();
      Class76.method1623(1875056110);
   }

   static final void method2185(Class124 var0, Class121 var1, Class508 var2, int var3) {
      String var4 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
      int[] var5 = Class245.method4382(var4, var2, (byte)127);
      if(null != var5) {
         var4 = var4.substring(0, var4.length() - 1);
      }

      var0.anObjectArray1482 = Class193.method3350(var4, var2, -536925379);
      var0.anIntArray1391 = var5;
      var0.aBool1520 = true;
   }

   static final void method2186(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub29_8485.method13476(-1315428518);
   }

   static void method2187(PacketBuffer var0, int var1, int var2) {
      Class548 var3 = client.aClass279_7807.method4909(1306070750);
      boolean var4 = var0.readBits(1, 1131175023) == 1;
      if(var4) {
         Class184.anIntArray2215[(Class184.anInt2214 += 1543391687) * -1203066889 - 1] = var1;
      }

      int var5 = var0.readBits(2, 1147883309);
      Class515_Sub1_Sub4_Sub4_Sub1 var6 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var1];
      if(var5 == 0) {
         if(var4) {
            var6.aBool10878 = false;
         } else if(1458342211 * client.anInt7800 == var1) {
            throw new RuntimeException();
         } else {
            Class19 var14 = Class184.aClass19Array2206[var1] = new Class19();
            var14.anInt191 = 685335329 * ((var6.anIntArray10770[0] + var3.anInt7419 * -843659437 >> 6 << 14) + (var6.aByte8443 << 28) + (var6.anIntArray10779[0] + var3.anInt7420 * -1518942839 >> 6));
            if(480909431 * var6.anInt10867 != -1) {
               var14.anInt190 = var6.anInt10867 * 518576033;
            } else {
               var14.anInt190 = var6.aClass16_10774.method745(460268445) * 1371451047;
            }

            var14.anInt193 = var6.anInt10749 * 1344916287;
            var14.aBool192 = var6.aBool10869;
            var14.aBool189 = var6.aBool10883;
            if(var6.anInt10881 * -873824407 > 0) {
               Class471.method7912(var6, 526457901);
            }

            client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var1] = null;
            if(var0.readBits(1, 529209626) != 0) {
               Class567.method12051(var0, var1, -1960019799);
            }

         }
      } else {
         int var7;
         int var8;
         int var9;
         if(var5 == 1) {
            var7 = var0.readBits(3, 1478395206);
            var8 = var6.anIntArray10770[0];
            var9 = var6.anIntArray10779[0];
            if(0 == var7) {
               --var8;
               --var9;
            } else if(1 == var7) {
               --var9;
            } else if(var7 == 2) {
               ++var8;
               --var9;
            } else if(3 == var7) {
               --var8;
            } else if(4 == var7) {
               ++var8;
            } else if(var7 == 5) {
               --var8;
               ++var9;
            } else if(6 == var7) {
               ++var9;
            } else if(var7 == 7) {
               ++var8;
               ++var9;
            }

            if(var4) {
               var6.anInt10879 = -448767919 * var8;
               var6.anInt10880 = var9 * -1528571651;
               var6.aBool10878 = true;
            } else {
               var6.method16790(var8, var9, Class184.aByteArray2207[var1], (byte)-53);
            }

         } else if(var5 == 2) {
            var7 = var0.readBits(4, 1410399128);
            var8 = var6.anIntArray10770[0];
            var9 = var6.anIntArray10779[0];
            if(var7 == 0) {
               var8 -= 2;
               var9 -= 2;
            } else if(var7 == 1) {
               --var8;
               var9 -= 2;
            } else if(2 == var7) {
               var9 -= 2;
            } else if(var7 == 3) {
               ++var8;
               var9 -= 2;
            } else if(var7 == 4) {
               var8 += 2;
               var9 -= 2;
            } else if(var7 == 5) {
               var8 -= 2;
               --var9;
            } else if(var7 == 6) {
               var8 += 2;
               --var9;
            } else if(var7 == 7) {
               var8 -= 2;
            } else if(var7 == 8) {
               var8 += 2;
            } else if(var7 == 9) {
               var8 -= 2;
               ++var9;
            } else if(var7 == 10) {
               var8 += 2;
               ++var9;
            } else if(var7 == 11) {
               var8 -= 2;
               var9 += 2;
            } else if(12 == var7) {
               --var8;
               var9 += 2;
            } else if(13 == var7) {
               var9 += 2;
            } else if(var7 == 14) {
               ++var8;
               var9 += 2;
            } else if(var7 == 15) {
               var8 += 2;
               var9 += 2;
            }

            if(var4) {
               var6.anInt10879 = -448767919 * var8;
               var6.anInt10880 = -1528571651 * var9;
               var6.aBool10878 = true;
            } else {
               var6.method16790(var8, var9, Class184.aByteArray2207[var1], (byte)-4);
            }

         } else {
            var7 = var0.readBits(1, 1604624238);
            int var10;
            int var11;
            int var12;
            int var13;
            if(var7 == 0) {
               var8 = var0.readBits(12, 1980438733);
               var9 = var8 >> 10;
               var10 = var8 >> 5 & 31;
               if(var10 > 15) {
                  var10 -= 32;
               }

               var11 = var8 & 31;
               if(var11 > 15) {
                  var11 -= 32;
               }

               var12 = var6.anIntArray10770[0] + var10;
               var13 = var11 + var6.anIntArray10779[0];
               if(var4) {
                  var6.anInt10879 = var12 * -448767919;
                  var6.anInt10880 = var13 * -1528571651;
                  var6.aBool10878 = true;
               } else {
                  var6.method16790(var12, var13, Class184.aByteArray2207[var1], (byte)7);
               }

               var6.aByte8443 = var6.aByte8444 = (byte)(var9 + var6.aByte8443 & 3);
               if(client.aClass279_7807.method5026(185351442).method4600(var12, var13, 1550146108)) {
                  ++var6.aByte8444;
               }

               if(client.anInt7800 * 1458342211 == var1 && Class181.anInt2197 * -117136075 != var6.aByte8443) {
                  Class181.anInt2197 = var6.aByte8443 * -630569699;
               }

            } else {
               var8 = var0.readBits(30, 1704742429);
               var9 = var8 >> 28;
               var10 = var8 >> 14 & 16383;
               var11 = var8 & 16383;
               var12 = (var10 + var6.anIntArray10770[0] + var3.anInt7419 * -843659437 & 16383) - -843659437 * var3.anInt7419;
               var13 = (var6.anIntArray10779[0] + var3.anInt7420 * -1518942839 + var11 & 16383) - var3.anInt7420 * -1518942839;
               if(var4) {
                  var6.anInt10879 = var12 * -448767919;
                  var6.anInt10880 = -1528571651 * var13;
                  var6.aBool10878 = true;
               } else {
                  var6.method16790(var12, var13, Class184.aByteArray2207[var1], (byte)14);
               }

               var6.aByte8443 = var6.aByte8444 = (byte)(var9 + var6.aByte8443 & 3);
               if(client.aClass279_7807.method5026(-214177677).method4600(var12, var13, 1550146108)) {
                  ++var6.aByte8444;
               }

               if(client.anInt7800 * 1458342211 == var1) {
                  Class181.anInt2197 = var6.aByte8443 * -630569699;
               }

            }
         }
      }
   }

   public static void method2188(int var0) {
      if(Class178.method3161(-1613688094) == Class283.aClass283_3329) {
         if(var0 <= -476040933) {
            ;
         }

      } else {
         try {
            String var1 = Class393.anApplet4870.getParameter(Class301.aClass301_3748.aString3752);
            int var2 = (int)(Class339.method6240(1046366386) / 86400000L) - 11745;
            String var3 = "usrdob=" + var2 + "; version=1; path=/; domain=" + var1;
            Class438.method7364(Class393.anApplet4870, "document.cookie=\"" + var3 + "\"", -1739563637);
         } catch (Throwable var4) {
            ;
         }

      }
   }

   static final void method2189(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 204272731);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class225_Sub21_Sub11.method15774(var3, var4, var0, (byte)-57);
   }

   public static void method2190(String var0, Throwable var1, int var2) {
      try {
         String var3 = "";
         if(var1 != null) {
            var3 = Class225_Sub45_Sub1.method15596(var1, 16711680);
         }

         if(null != var0) {
            if(var1 != null) {
               var3 = var3 + " | ";
            }

            var3 = var3 + var0;
         }

         System.out.println("Error: " + Class381.method6598(var3, "%0a", "\n", -1602278696));
         var3 = Class576.method12225(var3, (byte)30);
         if(null == RuntimeException_Sub3.anApplet10692) {
            return;
         }

         String var4 = "Unknown";
         String var5 = "1.1";

         try {
            var4 = System.getProperty("java.vendor");
            var5 = System.getProperty("java.version");
         } catch (Exception var8) {
            ;
         }

         URL var6 = new URL(RuntimeException_Sub3.anApplet10692.getCodeBase(), "clienterror.ws?c=" + RuntimeException_Sub3.anInt10693 * -1147308743 + "&cs=" + Class30.anInt368 * 1638081419 + "&u=" + (Exception_Sub3.aString10369 != null?Class576.method12225(Exception_Sub3.aString10369, (byte)-36):"" + RuntimeException_Sub3.aLong10691 * -8407962535550029843L) + "&v1=" + Class576.method12225(var4, (byte)-1) + "&v2=" + Class576.method12225(var5, (byte)11) + "&e=" + var3);
         DataInputStream var7 = new DataInputStream(var6.openStream());
         var7.read();
         var7.close();
      } catch (Exception var9) {
//         var9.printStackTrace();
      }

   }
}
